<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">

<xsl:output 
   method="xml" encoding="UTF-8" 
   media-type="text/xml" 
   doctype-public="-//W3C//DTD XHTML 1.1//EN" 
   doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"
   indent="yes" />

<!-- =========ROOT========= -->
<xsl:template match="/">
<xsl:element name="html">
  <xsl:attribute name="lang"
            namespace="http://www.w3.org/XML/1998/namespace">ja</xsl:attribute>
<xsl:call-template name="head" />
<!-- =========Body========= -->
<xsl:element name="body">
<!-- =========Navi========= -->
<xsl:call-template name="navi" />
<!-- Form ADMIN -->
<h1>Admin Page </h1>
<!-- MailTest -->
<form action="/mycgi/daybook/daybook_logmail.rb" method="post">
  <dl>
     <dt><label for="bid">LOGMAILTEST</label></dt>  
     <dd><input type="text" name="name" size="13" id="name" value="midori"/>
         <input type="text" name="comment" size="10" id="comment" value="comment"/>
         <input type="hidden" name="target"  id="target" value="logmail"/>
         <input type="submit" value="mail"/>
    </dd>
  </dl>
</form>
<!-- RSS -->
<hr />
<form action="/mycgi/daybook/daybook_cont.rb" method="post">
  <dl>
     <dt><label for="bid">RSS</label></dt>         
     <dd><input type="submit" value="RSS"/>
         <input type="hidden" name="target"  id="target" value="rss"/>
    </dd>
  </dl>
</form>
<hr />
<!-- ViewARCHIVES -->
<form action="/mycgi/daybook/daybook_viewindex.rb" method="post">
  <dl>
     <dt><label for="bid">ViewArchives</label></dt>         
     <dd><input type="submit" value="ViewIndex"/></dd>
  </dl>
</form>
<hr />
<!-- HTMLREMAKE -->
<form action="/mycgi/daybook/daybook_cont.rb" method="post">
  <dl>
     <dt><label for="bid">ALL HTML REMAKE</label></dt> 
     <dd><input type="hidden" name="target"  id="bid" value="allremake"/>
         <input type="submit" value="ALL HTML REMAKE"/>
     </dd>
  </dl>
</form>
<form action="/mycgi/daybook/daybook_cont.rb" method="post">
  <dl>
     <dt><label for="bid">HTML REMAKE</label></dt> 
     <dd><input type="text" name="bid" size="13" id="bid" />
         <input type="hidden" name="target"  id="bid" value="onlyremake"/>
         <input type="submit" value="HTML REMAKE"/>
     </dd>
  </dl>
</form>
<hr />
<!-- FileDelete -->
<form action="/mycgi/daybook/daybook_cont.rb" method="post">
  <dl>
     <dt><label for="bid">Delete ID</label></dt>
     <dd><input type="text" name="bid" size="13" id="bid" />
         <input type="text" name="no" size="5" id="no" value="0"/>
         <input type="hidden" name="target"  id="target" value="delid"/>
         <input type="submit" value="OK"/>
     </dd>
  </dl>
</form>
<!-- =========Entry========= -->
<xsl:apply-templates select="archives/items/item" />

</xsl:element><!-- end of body -->
</xsl:element><!-- end of html -->
</xsl:template>

<!-- end of root element template -->

<!-- =========Template of Entry ========= -->
<xsl:template match="archives/items/item">
	<xsl:element name="div">
		<xsl:element name="dl">
			<xsl:element name="dt"><xsl:value-of select="year" /></xsl:element>
			<xsl:apply-templates select="entry" />
		</xsl:element>
	</xsl:element>
</xsl:template>

<!-- Templates of Entry -->
<xsl:template match="entry">
	<xsl:element name="dd">
		<xsl:element name="a"><xsl:attribute name="href"><xsl:value-of select="uri" /></xsl:attribute>
		<xsl:value-of select="t_i" /></xsl:element>
		
		&#8194;<xsl:value-of select="date" />
		&#8194;<xsl:value-of select="subject" disable-output-escaping="yes"/>
		&#8194;(<xsl:value-of select="itemcount" />)
	</xsl:element>
	
	
	<xsl:apply-templates select="comments" />
	
	
</xsl:template>

<xsl:template match="comments">
  <xsl:element name="dd">
  No.<xsl:value-of select="postno" />&#8194;&#8194;at:<xsl:value-of select="date" />&#8194;by:<xsl:value-of select="name" />
  </xsl:element>
</xsl:template>
<!-- =========Template Header========= -->
<xsl:template name="head">
  <xsl:element name="head">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="author" content="midore"/>
    <!-- meta name="date" -->
    <xsl:element name="meta">
      <xsl:attribute name="name">date</xsl:attribute>
        <xsl:attribute name="content"><xsl:value-of select="archives/metadate" /></xsl:attribute>
    </xsl:element>
    <!-- rel="stylesheet" -->
    <xsl:element name="link">
      <xsl:attribute name="rel">stylesheet</xsl:attribute>
      <xsl:attribute name="type">text/css</xsl:attribute>
      <xsl:attribute name="media">screen,tv</xsl:attribute>
      <xsl:attribute name="href">/css/daybook_index.css</xsl:attribute>
      <xsl:attribute name="title">daybook.css</xsl:attribute>
    </xsl:element>
    <!-- title -->
    <xsl:element name="title"> Daybook Admin</xsl:element>
  </xsl:element>
</xsl:template>

<!-- =========Template Header Navi========= -->
<xsl:template name="navi">
  <xsl:element name="h1">
	 <xsl:element name="a"><xsl:attribute name="href">http://www.midore.net</xsl:attribute>www.midore.net</xsl:element> ::
     <xsl:element name="a"><xsl:attribute name="href">/daybook/daybook_index.html</xsl:attribute>Daybook Index</xsl:element> ::
     <xsl:element name="a"><xsl:attribute name="href">/daybook/daybook_archives.html</xsl:attribute>Archives</xsl:element>::
     <xsl:element name="a"><xsl:attribute name="href">/admin/daybook_new.html</xsl:attribute>New Entry</xsl:element>
  </xsl:element>
</xsl:template>

<!-- END -->
</xsl:stylesheet>