<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">

<xsl:output 
   method="xml" encoding="UTF-8" 
   media-type="text/xml" 
   doctype-public="-//W3C//DTD XHTML 1.1//EN" 
   doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"
   indent="yes" />

<!-- =========ROOT========= -->
<xsl:template match="entry">
<xsl:element name="html">
  <xsl:attribute name="lang"
            namespace="http://www.w3.org/XML/1998/namespace">ja</xsl:attribute>
<!-- =========Header========= -->
<xsl:call-template name="head" />
<!-- =========Body========= -->
<xsl:element name="body">
<!-- Call Navi -->
<xsl:call-template name="navi" />
<!-- =========Entry========= -->
 <xsl:apply-templates select="item" />
 <br />
 <hr />
<!-- =========Comment========= -->
 <xsl:apply-templates select="item_comment" />

<!-- =========FORM========= -->
<xsl:element name="hr" />
<xsl:call-template name="form" />

</xsl:element>
</xsl:element>
</xsl:template>

<!-- ================Templates Entry===================== -->
<xsl:template match="item">
 <xsl:element name="div">
    <xsl:element name="dl">
      <xsl:element name="dt"><xsl:value-of select="subject" disable-output-escaping="yes"/></xsl:element>
      <xsl:element name="dd">
        <xsl:value-of select="date" /><xsl:value-of select="telop" />&#8194;By:&#8220;<xsl:value-of select="name" disable-output-escaping="yes"/>&#8221;</xsl:element>
    </xsl:element>
    <xsl:apply-templates select="comment" />
  </xsl:element>
</xsl:template>
<!-- ================Templates COMMENT===================== -->
<xsl:template match="item_comment">
 <xsl:element name="div">
    <xsl:element name="dl">
      <xsl:element name="dt">Comment From &#8194;&#8220;<xsl:value-of select="name" disable-output-escaping="yes"/>&#8221;</xsl:element>
      <xsl:element name="dd">
        <xsl:value-of select="date" />
      </xsl:element>
    </xsl:element>
    <xsl:apply-templates select="comment" />
  </xsl:element>
</xsl:template>

<!-- ================ Templates COMMON===================== -->
<xsl:template match="comment/">
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="comment/p">
<xsl:element name="p"><xsl:value-of select="." disable-output-escaping="yes" /></xsl:element>
</xsl:template>

<xsl:template match="comment/pre" >
 <xsl:element name="pre">
 <xsl:value-of select="."  disable-output-escaping="yes"/>
 </xsl:element>
</xsl:template>


<!-- ================ Templates HEADER ===================== -->
<xsl:template name="head">
  <xsl:element name="head">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="author" content="midore"/>    
    <!-- meta name="date" -->
    <xsl:element name="meta">
      <xsl:attribute name="name">date</xsl:attribute>
        <xsl:attribute name="content"><xsl:value-of select="/entry/meta/metadate/full" /></xsl:attribute>
    </xsl:element>
    <!-- rel="stylesheet" -->
    <xsl:element name="link">
      <xsl:attribute name="rel">stylesheet</xsl:attribute>
      <xsl:attribute name="type">text/css</xsl:attribute>
      <xsl:attribute name="media">screen,tv</xsl:attribute>
      <xsl:attribute name="href">/css/daybook.css</xsl:attribute>
      <xsl:attribute name="title">daybook.css</xsl:attribute>
    </xsl:element>

    <!-- title -->
    <xsl:element name="title"><xsl:value-of select="item/subject" disable-output-escaping="yes" /></xsl:element>
  </xsl:element>
</xsl:template>

<!-- ================　Templates Navi  ===================== -->
<xsl:template name="navi">
<xsl:element name="h1">
	<xsl:element name="a"><xsl:attribute name="href">http://www.midore.net</xsl:attribute>www.midore net</xsl:element> ::
  <xsl:element name="a"><xsl:attribute name="href">/daybook/daybook_index.html</xsl:attribute>Daybook Index</xsl:element> ::
  <xsl:element name="a"><xsl:attribute name="href">/daybook/daybook_archives.html</xsl:attribute>Daybook Archives</xsl:element>
</xsl:element>
</xsl:template>

<!-- ================ Templates Form ===================== -->
<xsl:template name="form">
  <xsl:element name="form" ><!--1 -->
    <xsl:attribute name="action">/mycgi/daybook/daybook_comment.rb</xsl:attribute>
    <xsl:attribute name="method">post</xsl:attribute>
  <xsl:element name="dl" ><!--2 -->
     
   <!--name -->
    <xsl:element name="dt" >
      <xsl:element name="label" ><xsl:attribute name="for">name</xsl:attribute>Name</xsl:element>
    </xsl:element>
     <xsl:element name="dd" ><xsl:element name="input" >
         <xsl:attribute name="type">text</xsl:attribute>
         <xsl:attribute name="name">name</xsl:attribute>
         <xsl:attribute name="size">30</xsl:attribute>
         <xsl:attribute name="id">name</xsl:attribute>
     </xsl:element></xsl:element>

     <!--mail -->
     <xsl:element name="dt" >
       <xsl:element name="label" ><xsl:attribute name="for">email</xsl:attribute>MailAddress</xsl:element>
     </xsl:element>
      <xsl:element name="dd" ><xsl:element name="input" >
          <xsl:attribute name="type">text</xsl:attribute>
          <xsl:attribute name="name">email</xsl:attribute>
          <xsl:attribute name="size">30</xsl:attribute>
          <xsl:attribute name="id">email</xsl:attribute>
      </xsl:element></xsl:element>
      <!--comment -->
      <xsl:element name="dt" >
        <xsl:element name="label" ><xsl:attribute name="for">comment</xsl:attribute>Comment</xsl:element>
      </xsl:element>
      
      <xsl:element name="dd" >
        <xsl:element name="textarea" >
          <xsl:attribute name="name">comment</xsl:attribute>
          <xsl:attribute name="rows">10</xsl:attribute>
          <xsl:attribute name="cols">80</xsl:attribute>write a little comment</xsl:element>
      </xsl:element>

       <xsl:element name="dd" ><xsl:element name="input" >
           <xsl:attribute name="type">submit</xsl:attribute>
           <xsl:attribute name="value">OK</xsl:attribute>
       </xsl:element></xsl:element>
  
  </xsl:element>
  </xsl:element>
</xsl:template>

<!-- END -->
</xsl:stylesheet>